#ifdef GL_ES
precision mediump float;
#endif
varying vec2 v_texCoord;
varying vec4 v_fragmentColor;

uniform vec4 u_grayParam;

//--------make etc image alpha ---------------
varying vec4 v_fragmentColor;
varying vec2 v_alphaCoord;

vec4 makeAlpha()
{
	vec4 textureColor = texture2D(CC_Texture0, v_texCoord);
	textureColor.a = texture2D(CC_Texture0, v_alphaCoord).r;
	textureColor.xyz = textureColor.xyz * textureColor.a;
	return textureColor;
}
//--------------------------------------------------

void main(void)
{
	vec4 texColor = makeAlpha();
	float grey = dot(texColor.rgba, u_grayParam);
	gl_FragColor = vec4(vec3(grey), texColor.a) * v_fragmentColor;
}
