-- 设置搜索路径
local function setSearchPaths()
	local fileUtils = cc.FileUtils:getInstance()
	STORAGE_PATH = string.gsub(fileUtils:getWritablePath(), "\\", "/") .. "mhxlj/"
	fileUtils:addSearchPath(STORAGE_PATH)
	fileUtils:addSearchPath(STORAGE_PATH .. "res/")
	fileUtils:addSearchPath(STORAGE_PATH .. "res/ui/")
	fileUtils:addSearchPath(STORAGE_PATH .. "pb/")
    fileUtils:addSearchPath("res/")
    fileUtils:addSearchPath("res/ui/")
	fileUtils:addSearchPath("pb/")
	fileUtils:addSearchPath("src/")
	fileUtils:setPopupNotify(false)
end
setSearchPaths()

BASE_VERSION = "2.1.0"

local target = cc.Application:getInstance():getTargetPlatform()
--ios(iphone or ipad)
if (target == 4 or target == 5) and jit.arch == "arm64" then
    cc.LuaLoadChunksFromZIP("cocos_arm64.zip")
    cc.LuaLoadChunksFromZIP("lib_arm64.zip")
    cc.LuaLoadChunksFromZIP("config_arm64.zip")
    cc.LuaLoadChunksFromZIP("game_arm64.zip")
else
    cc.LuaLoadChunksFromZIP("cocos.zip")
    cc.LuaLoadChunksFromZIP("lib.zip")
    cc.LuaLoadChunksFromZIP("config.zip")
    cc.LuaLoadChunksFromZIP("game.zip")
end

--fps
GAME_FPS = 30

--游戏中加载的文件路径
ALL_LOAD_FILE_PATH = {}
_require = _G.require
function require(path)
    ALL_LOAD_FILE_PATH[path] = true
    return _require(path)
end



local function main()
    require("app.my_app"):create():run()
    cc.Director:getInstance():setAnimationInterval(1/GAME_FPS)
    if DEBUG_REM > 0 then
        local viewNmaes = {
        {path = "res/ui/shop", name = "商店界面"},
        {path = "res/ui/main", name = "主界面"},
        {path = "res/ui/hatch", name = "孵化界面"},
        {path = "res/ui/login_message", name = "选服界面"},
        {path = "res/ui/mail", name = "邮件界面"},
        {path = "res/ui/friend", name = "好友界面"},
        {path = "res/ui/dragon", name = "恐龙信息界面"},
        {path = "res/ui/copy_select", name = "副本选择界面"},
        {path = "res/ui/create_role", name = "创建人物界面"},
        {path = "res/ui/cultivate", name = "培育界面"},
        {path = "res/ui/common", name = "公共界面"},
        {path = "res/ui/change_diamond", name = "兑换钻石界面"},
        {path = "res/ui/function", name = "汇总界面"},
        {path = "res/ui/loading", name = "加载界面"},
        {path = "res/ui/login", name = "登录界面"},
        {path = "res/ui/recharge", name = "充值界面"},
        {path = "res/ui/role_head", name = "玩家信息界面"},
        {path = "res/ui/setting", name = "设置界面"},
        {path = "res/ui/select_dragon", name = "恐龙选择界面"},
        }
        local sharedDirector = cc.Director:getInstance()
        local sharedTextureCache = cc.Director:getInstance():getTextureCache()
        local function showMemoryUsage()
            print(string.format("LUA VM MEMORY USED: %0.2f KB", collectgarbage("count")))
            local pathinFo = sharedTextureCache:getCachedTextureInfo()
            for i,v in pairs(viewNmaes) do
                pathinFo = string.gsub(pathinFo, "E:/hg/xljClient/runtime/win32/../../"..v.path.."/", v.name..":")
            end
            pathinFo = string.gsub(pathinFo, "E:/hg/xljClient/runtime/win32/../../", "")
            print(pathinFo)
            print("---------------------------------------------------")
        end
        cc.load("scheduler").scheduleGlobal(showMemoryUsage, DEBUG_REM, false)
    end
end

function __G__TRACKBACK__(errorMessage)
    print("----------------------------------------")
    print("LUA ERROR: " .. tostring(errorMessage) .. "\n")
    print(debug.traceback("", 2))
    print("----------------------------------------")
end

local status, msg = xpcall(main, __G__TRACKBACK__)
if not status then
    print(msg)
end
